Page MenuHomePhabricator

[clang-format] Clean up unit tests for AlignArrayOfStructures
AcceptedPublic

Authored by owenpan on Apr 11 2022, 10:34 PM.

Details

Summary

As mentioned in D121576#3381295, I'm cleaning up the unit tests in preparation for a redesign of AlignArrayOfStructures to address most of the accumulated issues and to enable alignments of non-rectangular structures.

Diff Detail

Event Timeline

owenpan created this revision.Apr 11 2022, 10:34 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 11 2022, 10:34 PM
owenpan requested review of this revision.Apr 11 2022, 10:34 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 11 2022, 10:34 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
This revision is now accepted and ready to land.Apr 12 2022, 1:02 PM
curdeius accepted this revision.Apr 12 2022, 1:16 PM
MyDeveloperDay accepted this revision.Apr 20 2022, 8:47 AM

Thanks for taking this on.